#include <iostream>
#include <stdio.h>
#include <stdlib.h>

using namespace std;

int main()
{
    string A;
    string B;
    string C;
    string ABC;
    string ACB;
    string BAC;
    string BCA;
    string CAB;
    string CBA;
    cin >>A;
    cin >>B;
    cin >>C;
    ABC=A+B+C;
    BAC=B+A+C;
    CAB=C+A+B;
    ACB=A+C+B;
    BCA=B+C+A;
    CBA=C+B+A;
    if(ABC>ACB && ABC>BAC && ABC>BCA && ABC>CAB && ABC>CBA)
        cout << ABC;
    if(BAC>ACB && BAC>ABC && BAC>BCA && BAC>CAB && BAC>CBA)
        cout << BAC;
    if(BCA>ACB && BCA>BAC && BCA>ABC && BCA>CAB && BCA>CBA)
        cout << BCA;
    if(ACB>ABC && ACB>BAC && ACB>BCA && ACB>CAB && ACB>CBA)
        cout << ACB;
    if(CBA>ACB && CBA>BAC && CBA>BCA && CBA>CAB && CBA>ABC)
        cout << CBA;
    if(CAB>ACB && CAB>BAC && CAB>BCA && CAB>ABC && CAB>CBA)
        cout << CAB;
    return 0;
}